Skip to main content
POST
/
tax
/
business_entities
/
{business_entity_id}
/
jurisdiction_rates
Create jurisdiction rate
curl --request POST \
  --url https://api.zenskar.com/tax/business_entities/{business_entity_id}/jurisdiction_rates \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "country_code": "<string>",
  "tax_category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "effective_from": "2023-12-25",
  "state_code": "<string>",
  "city": "<string>",
  "zip_code_start": "<string>",
  "zip_code_end": "<string>",
  "effective_to": "2023-12-25",
  "is_active": true,
  "name": "<string>",
  "rates": [
    {
      "tax_name": "<string>",
      "rate_percent": 50,
      "is_compound": false,
      "compound_order": 0,
      "jurisdiction_level": "<string>",
      "jurisdiction_code": "<string>"
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "business_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "country_code": "<string>",
  "state_code": "<string>",
  "city": "<string>",
  "zip_code_start": "<string>",
  "zip_code_end": "<string>",
  "tax_category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "effective_from": "2023-12-25",
  "effective_to": "2023-12-25",
  "is_active": true,
  "name": "<string>",
  "rates": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "jurisdiction_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tax_name": "<string>",
      "rate_percent": 123,
      "is_compound": true,
      "compound_order": 123,
      "jurisdiction_level": "<string>",
      "jurisdiction_code": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

business_entity_id
string<uuid>
required

Body

application/json

Request body for creating a jurisdiction rate row with inline tax rates.

country_code
string
required

ISO country code (e.g. IN, US)

Required string length: 2
tax_category_id
string<uuid>
required

Tax category ID (FK to tax_categories)

effective_from
string<date>
required
state_code
string | null
Maximum string length: 10
city
string | null
Maximum string length: 100
zip_code_start
string | null
Maximum string length: 20
zip_code_end
string | null
Maximum string length: 20
effective_to
string<date> | null
is_active
boolean
name
string | null
Maximum string length: 255
rates
CreateTaxRateInlineSchema · object[]

Tax rates to create atomically with the jurisdiction rate

Response

Successful Response

Response shape for a jurisdiction rate row.

id
string<uuid>
required
business_entity_id
string<uuid>
required
organization_id
string<uuid>
required
country_code
string
required
state_code
string | null
required
city
string | null
required
zip_code_start
string | null
required
zip_code_end
string | null
required
tax_category_id
string<uuid>
required
effective_from
string<date>
required
effective_to
string<date> | null
required
is_active
boolean
required
name
string | null
required
rates
TaxRateResponseSchema · object[] | null

Inline tax rates (included on create)